using System;
using Newtonsoft.Json;
using GraphQL;
using GraphQL.Client.Abstractions;

namespace GraphQLCodeGen {

    public class BloodPressureQueryGQL {
      /// <summary>
      /// BloodPressureQueryGQL.Request 
      /// </summary>
      public static GraphQLRequest Request() {
        return new GraphQLRequest {
          Query = BloodPressureQueryDocument,
          OperationName = "BloodPressureQuery"
        };
      }

      /// <remarks>This method is obsolete. Use Request instead.</remarks>
      public static GraphQLRequest getBloodPressureQueryGQL() {
        return Request();
      }
      
      public static string BloodPressureQueryDocument = @"
        query BloodPressureQuery {
          bloodPressure {
            data {
              history {
                events {
                  a24HourAverage {
                    data {
                      itemTree {
                        items {
                          systolic {
                            value {
                              dvQuantity {
                                property {
                                  terminologyId
                                  codeString
                                  terminologyVersion
                                }
                                magnitude
                                units
                                precision
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
        ";
      
    }
    
}