export type Maybe<T> = T | null;
export type InputMaybe<T> = Maybe<T>;
export type Exact<T extends { [key: string]: unknown }> = { [K in keyof T]: T[K] };
export type MakeOptional<T, K extends keyof T> = Omit<T, K> & { [SubKey in K]?: Maybe<T[SubKey]> };
export type MakeMaybe<T, K extends keyof T> = Omit<T, K> & { [SubKey in K]: Maybe<T[SubKey]> };
/** All built-in and custom scalars, mapped to their actual values */
export type Scalars = {
  ID: string;
  String: string;
  Boolean: boolean;
  Int: number;
  Float: number;
};

export type BloodPressure = {
  __typename?: 'BloodPressure';
  data?: Maybe<BloodPressureData>;
  protocol?: Maybe<BloodPressureProtocol>;
};

export type BloodPressureData = {
  __typename?: 'BloodPressureData';
  history?: Maybe<BloodPressureDataHistory>;
};

export type BloodPressureDataHistory = {
  __typename?: 'BloodPressureDataHistory';
  events?: Maybe<Array<BloodPressureDataHistoryEvent>>;
};

export type BloodPressureDataHistoryEvent = {
  __typename?: 'BloodPressureDataHistoryEvent';
  a24HourAverage?: Maybe<BloodPressureDataHistoryEvent24HourAverage>;
  anyEvent?: Maybe<Array<BloodPressureDataHistoryEventAnyEvent>>;
};

export type BloodPressureDataHistoryEvent24HourAverage = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverage';
  data?: Maybe<BloodPressureDataHistoryEvent24HourAverageData>;
  mathFunction?: Maybe<BloodPressureDataHistoryEvent24HourAverageMathFunction>;
  state?: Maybe<BloodPressureDataHistoryEvent24HourAverageState>;
  width?: Maybe<BloodPressureDataHistoryEvent24HourAverageWidth>;
};

export type BloodPressureDataHistoryEvent24HourAverageData = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageData';
  itemTree?: Maybe<BloodPressureDataHistoryEvent24HourAverageDataItemTree>;
};

export type BloodPressureDataHistoryEvent24HourAverageDataItemTree = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageDataItemTree';
  items?: Maybe<Array<BloodPressureDataHistoryEvent24HourAverageDataItemTreeItem>>;
};

export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItem = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageDataItemTreeItem';
  clinicalInterpretation?: Maybe<BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemClinicalInterpretation>;
  comment?: Maybe<BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemComment>;
  diastolic?: Maybe<BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolic>;
  meanArterialPressure?: Maybe<BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressure>;
  pulsePressure?: Maybe<BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressure>;
  systolic?: Maybe<BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolic>;
};

export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemClinicalInterpretation = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemClinicalInterpretation';
  value?: Maybe<DvText>;
};

export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemComment = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemComment';
  value?: Maybe<DvText>;
};

export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolic = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolic';
  value?: Maybe<BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicValue>;
};

export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicValue = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicValue';
  dvQuantity?: Maybe<BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicValueDvQuantity>;
};

export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicValueDvQuantity = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicValueDvQuantity';
  magnitude?: Maybe<Scalars['Float']>;
  precision?: Maybe<Scalars['Int']>;
  property?: Maybe<TerminologyCode>;
  units?: Maybe<Scalars['String']>;
};

export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressure = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressure';
  value?: Maybe<BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureValue>;
};

export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureValue = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureValue';
  dvQuantity?: Maybe<BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureValueDvQuantity>;
};

export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureValueDvQuantity = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureValueDvQuantity';
  magnitude?: Maybe<Scalars['Float']>;
  precision?: Maybe<Scalars['Int']>;
  property?: Maybe<TerminologyCode>;
  units?: Maybe<Scalars['String']>;
};

export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressure = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressure';
  value?: Maybe<BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureValue>;
};

export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureValue = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureValue';
  dvQuantity?: Maybe<BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureValueDvQuantity>;
};

export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureValueDvQuantity = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureValueDvQuantity';
  magnitude?: Maybe<Scalars['Float']>;
  precision?: Maybe<Scalars['Int']>;
  property?: Maybe<TerminologyCode>;
  units?: Maybe<Scalars['String']>;
};

export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolic = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolic';
  value?: Maybe<BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicValue>;
};

export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicValue = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicValue';
  dvQuantity?: Maybe<BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicValueDvQuantity>;
};

export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicValueDvQuantity = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicValueDvQuantity';
  magnitude?: Maybe<Scalars['Float']>;
  precision?: Maybe<Scalars['Int']>;
  property?: Maybe<TerminologyCode>;
  units?: Maybe<Scalars['String']>;
};

export type BloodPressureDataHistoryEvent24HourAverageMathFunction = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageMathFunction';
  dvCodedText?: Maybe<BloodPressureDataHistoryEvent24HourAverageMathFunctionDvCodedText>;
};

export type BloodPressureDataHistoryEvent24HourAverageMathFunctionDvCodedText = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageMathFunctionDvCodedText';
  definingCode?: Maybe<TerminologyCode>;
};

export type BloodPressureDataHistoryEvent24HourAverageState = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageState';
  itemTree?: Maybe<BloodPressureDataHistoryEvent24HourAverageStateItemTree>;
};

export type BloodPressureDataHistoryEvent24HourAverageStateItemTree = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageStateItemTree';
  items?: Maybe<Array<BloodPressureDataHistoryEvent24HourAverageStateItemTreeItem>>;
};

export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItem = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageStateItemTreeItem';
  confoundingFactors?: Maybe<BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemConfoundingFactors>;
  exertion?: Maybe<BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemExertion>;
  position?: Maybe<BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPosition>;
  sleepStatus?: Maybe<BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatus>;
  tilt?: Maybe<BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTilt>;
};

export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemConfoundingFactors = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemConfoundingFactors';
  value?: Maybe<DvText>;
};

export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemExertion = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemExertion';
  dummy?: Maybe<Scalars['String']>;
};

export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPosition = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPosition';
  value?: Maybe<BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionValue>;
};

export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionValue = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionValue';
  dvCodedText?: Maybe<BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionValueDvCodedText>;
};

export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionValueDvCodedText = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionValueDvCodedText';
  definingCode?: Maybe<TerminologyCode>;
};

export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatus = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatus';
  value?: Maybe<BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusValue>;
};

export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusValue = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusValue';
  dvCodedText?: Maybe<BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusValueDvCodedText>;
};

export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusValueDvCodedText = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusValueDvCodedText';
  definingCode?: Maybe<TerminologyCode>;
};

export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTilt = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTilt';
  value?: Maybe<BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltValue>;
};

export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltValue = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltValue';
  dvQuantity?: Maybe<BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltValueDvQuantity>;
};

export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltValueDvQuantity = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltValueDvQuantity';
  magnitude?: Maybe<Scalars['Float']>;
  precision?: Maybe<Scalars['Int']>;
  property?: Maybe<TerminologyCode>;
  units?: Maybe<Scalars['String']>;
};

export type BloodPressureDataHistoryEvent24HourAverageWidth = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageWidth';
  dvDuration?: Maybe<BloodPressureDataHistoryEvent24HourAverageWidthDvDuration>;
};

export type BloodPressureDataHistoryEvent24HourAverageWidthDvDuration = {
  __typename?: 'BloodPressureDataHistoryEvent24HourAverageWidthDvDuration';
  value?: Maybe<Duration>;
};

export type BloodPressureDataHistoryEventAnyEvent = {
  __typename?: 'BloodPressureDataHistoryEventAnyEvent';
  data?: Maybe<BloodPressureDataHistoryEventAnyEventData>;
  state?: Maybe<BloodPressureDataHistoryEventAnyEventState>;
};

export type BloodPressureDataHistoryEventAnyEventData = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventData';
  bloodPressure?: Maybe<BloodPressureDataHistoryEventAnyEventDataBloodPressure>;
};

export type BloodPressureDataHistoryEventAnyEventDataBloodPressure = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventDataBloodPressure';
  items?: Maybe<Array<BloodPressureDataHistoryEventAnyEventDataBloodPressureItem>>;
};

export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItem = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventDataBloodPressureItem';
  clinicalInterpretation?: Maybe<BloodPressureDataHistoryEventAnyEventDataBloodPressureItemClinicalInterpretation>;
  comment?: Maybe<BloodPressureDataHistoryEventAnyEventDataBloodPressureItemComment>;
  diastolic?: Maybe<BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolic>;
  meanArterialPressure?: Maybe<BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressure>;
  pulsePressure?: Maybe<BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressure>;
  systolic?: Maybe<BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolic>;
};

export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemClinicalInterpretation = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventDataBloodPressureItemClinicalInterpretation';
  value?: Maybe<DvText>;
};

export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemComment = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventDataBloodPressureItemComment';
  value?: Maybe<DvText>;
};

export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolic = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolic';
  value?: Maybe<BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicValue>;
};

export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicValue = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicValue';
  dvQuantity?: Maybe<BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicValueDvQuantity>;
};

export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicValueDvQuantity = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicValueDvQuantity';
  magnitude?: Maybe<Scalars['Float']>;
  precision?: Maybe<Scalars['Int']>;
  property?: Maybe<TerminologyCode>;
  units?: Maybe<Scalars['String']>;
};

export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressure = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressure';
  value?: Maybe<BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureValue>;
};

export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureValue = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureValue';
  dvQuantity?: Maybe<BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureValueDvQuantity>;
};

export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureValueDvQuantity = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureValueDvQuantity';
  magnitude?: Maybe<Scalars['Float']>;
  precision?: Maybe<Scalars['Int']>;
  property?: Maybe<TerminologyCode>;
  units?: Maybe<Scalars['String']>;
};

export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressure = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressure';
  value?: Maybe<BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureValue>;
};

export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureValue = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureValue';
  dvQuantity?: Maybe<BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureValueDvQuantity>;
};

export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureValueDvQuantity = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureValueDvQuantity';
  magnitude?: Maybe<Scalars['Float']>;
  precision?: Maybe<Scalars['Int']>;
  property?: Maybe<TerminologyCode>;
  units?: Maybe<Scalars['String']>;
};

export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolic = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolic';
  value?: Maybe<BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicValue>;
};

export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicValue = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicValue';
  dvQuantity?: Maybe<BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicValueDvQuantity>;
};

export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicValueDvQuantity = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicValueDvQuantity';
  magnitude?: Maybe<Scalars['Float']>;
  precision?: Maybe<Scalars['Int']>;
  property?: Maybe<TerminologyCode>;
  units?: Maybe<Scalars['String']>;
};

export type BloodPressureDataHistoryEventAnyEventState = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventState';
  stateStructure?: Maybe<BloodPressureDataHistoryEventAnyEventStateStateStructure>;
};

export type BloodPressureDataHistoryEventAnyEventStateStateStructure = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventStateStateStructure';
  items?: Maybe<Array<BloodPressureDataHistoryEventAnyEventStateStateStructureItem>>;
};

export type BloodPressureDataHistoryEventAnyEventStateStateStructureItem = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventStateStateStructureItem';
  confoundingFactors?: Maybe<BloodPressureDataHistoryEventAnyEventStateStateStructureItemConfoundingFactors>;
  exertion?: Maybe<BloodPressureDataHistoryEventAnyEventStateStateStructureItemExertion>;
  position?: Maybe<BloodPressureDataHistoryEventAnyEventStateStateStructureItemPosition>;
  sleepStatus?: Maybe<BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatus>;
  tilt?: Maybe<BloodPressureDataHistoryEventAnyEventStateStateStructureItemTilt>;
};

export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemConfoundingFactors = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventStateStateStructureItemConfoundingFactors';
  value?: Maybe<DvText>;
};

export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemExertion = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventStateStateStructureItemExertion';
  dummy?: Maybe<Scalars['String']>;
};

export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemPosition = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventStateStateStructureItemPosition';
  value?: Maybe<BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionValue>;
};

export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionValue = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionValue';
  dvCodedText?: Maybe<BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionValueDvCodedText>;
};

export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionValueDvCodedText = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionValueDvCodedText';
  definingCode?: Maybe<TerminologyCode>;
};

export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatus = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatus';
  value?: Maybe<BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusValue>;
};

export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusValue = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusValue';
  dvCodedText?: Maybe<BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusValueDvCodedText>;
};

export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusValueDvCodedText = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusValueDvCodedText';
  definingCode?: Maybe<TerminologyCode>;
};

export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemTilt = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventStateStateStructureItemTilt';
  value?: Maybe<BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltValue>;
};

export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltValue = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltValue';
  dvQuantity?: Maybe<BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltValueDvQuantity>;
};

export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltValueDvQuantity = {
  __typename?: 'BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltValueDvQuantity';
  magnitude?: Maybe<Scalars['Float']>;
  precision?: Maybe<Scalars['Int']>;
  property?: Maybe<TerminologyCode>;
  units?: Maybe<Scalars['String']>;
};

export type BloodPressureInput = {
  name: Scalars['String'];
  protocol: Scalars['String'];
};

export type BloodPressureProtocol = {
  __typename?: 'BloodPressureProtocol';
  tree?: Maybe<BloodPressureProtocolTree>;
};

export type BloodPressureProtocolTree = {
  __typename?: 'BloodPressureProtocolTree';
  items?: Maybe<Array<BloodPressureProtocolTreeItem>>;
};

export type BloodPressureProtocolTreeItem = {
  __typename?: 'BloodPressureProtocolTreeItem';
  cuffSize?: Maybe<BloodPressureProtocolTreeItemCuffSize>;
  device?: Maybe<BloodPressureProtocolTreeItemDevice>;
  diastolicEndpoint?: Maybe<BloodPressureProtocolTreeItemDiastolicEndpoint>;
  diastolicPressureFormula?: Maybe<BloodPressureProtocolTreeItemDiastolicPressureFormula>;
  extension?: Maybe<Array<BloodPressureProtocolTreeItemExtension>>;
  locationOfMeasurement?: Maybe<BloodPressureProtocolTreeItemLocationOfMeasurement>;
  meanArterialPressureFormula?: Maybe<BloodPressureProtocolTreeItemMeanArterialPressureFormula>;
  method?: Maybe<BloodPressureProtocolTreeItemMethod>;
  structuredMeasurementLocation?: Maybe<Array<BloodPressureProtocolTreeItemStructuredMeasurementLocation>>;
  systolicPressureFormula?: Maybe<BloodPressureProtocolTreeItemSystolicPressureFormula>;
};

export type BloodPressureProtocolTreeItemCuffSize = {
  __typename?: 'BloodPressureProtocolTreeItemCuffSize';
  value?: Maybe<BloodPressureProtocolTreeItemCuffSizeValue>;
};

export type BloodPressureProtocolTreeItemCuffSizeValue = {
  __typename?: 'BloodPressureProtocolTreeItemCuffSizeValue';
  dvCodedText?: Maybe<BloodPressureProtocolTreeItemCuffSizeValueDvCodedText>;
};

export type BloodPressureProtocolTreeItemCuffSizeValueDvCodedText = {
  __typename?: 'BloodPressureProtocolTreeItemCuffSizeValueDvCodedText';
  definingCode?: Maybe<TerminologyCode>;
};

export type BloodPressureProtocolTreeItemDevice = {
  __typename?: 'BloodPressureProtocolTreeItemDevice';
  dummy?: Maybe<Scalars['String']>;
};

export type BloodPressureProtocolTreeItemDiastolicEndpoint = {
  __typename?: 'BloodPressureProtocolTreeItemDiastolicEndpoint';
  value?: Maybe<BloodPressureProtocolTreeItemDiastolicEndpointValue>;
};

export type BloodPressureProtocolTreeItemDiastolicEndpointValue = {
  __typename?: 'BloodPressureProtocolTreeItemDiastolicEndpointValue';
  dvCodedText?: Maybe<BloodPressureProtocolTreeItemDiastolicEndpointValueDvCodedText>;
};

export type BloodPressureProtocolTreeItemDiastolicEndpointValueDvCodedText = {
  __typename?: 'BloodPressureProtocolTreeItemDiastolicEndpointValueDvCodedText';
  definingCode?: Maybe<TerminologyCode>;
};

export type BloodPressureProtocolTreeItemDiastolicPressureFormula = {
  __typename?: 'BloodPressureProtocolTreeItemDiastolicPressureFormula';
  value?: Maybe<DvText>;
};

export type BloodPressureProtocolTreeItemExtension = {
  __typename?: 'BloodPressureProtocolTreeItemExtension';
  dummy?: Maybe<Scalars['String']>;
};

export type BloodPressureProtocolTreeItemLocationOfMeasurement = {
  __typename?: 'BloodPressureProtocolTreeItemLocationOfMeasurement';
  value?: Maybe<BloodPressureProtocolTreeItemLocationOfMeasurementValue>;
};

export type BloodPressureProtocolTreeItemLocationOfMeasurementValue = {
  __typename?: 'BloodPressureProtocolTreeItemLocationOfMeasurementValue';
  dvCodedText?: Maybe<BloodPressureProtocolTreeItemLocationOfMeasurementValueDvCodedText>;
};

export type BloodPressureProtocolTreeItemLocationOfMeasurementValueDvCodedText = {
  __typename?: 'BloodPressureProtocolTreeItemLocationOfMeasurementValueDvCodedText';
  definingCode?: Maybe<TerminologyCode>;
};

export type BloodPressureProtocolTreeItemMeanArterialPressureFormula = {
  __typename?: 'BloodPressureProtocolTreeItemMeanArterialPressureFormula';
  value?: Maybe<DvText>;
};

export type BloodPressureProtocolTreeItemMethod = {
  __typename?: 'BloodPressureProtocolTreeItemMethod';
  value?: Maybe<BloodPressureProtocolTreeItemMethodValue>;
};

export type BloodPressureProtocolTreeItemMethodValue = {
  __typename?: 'BloodPressureProtocolTreeItemMethodValue';
  dvCodedText?: Maybe<BloodPressureProtocolTreeItemMethodValueDvCodedText>;
};

export type BloodPressureProtocolTreeItemMethodValueDvCodedText = {
  __typename?: 'BloodPressureProtocolTreeItemMethodValueDvCodedText';
  definingCode?: Maybe<TerminologyCode>;
};

export type BloodPressureProtocolTreeItemStructuredMeasurementLocation = {
  __typename?: 'BloodPressureProtocolTreeItemStructuredMeasurementLocation';
  dummy?: Maybe<Scalars['String']>;
};

export type BloodPressureProtocolTreeItemSystolicPressureFormula = {
  __typename?: 'BloodPressureProtocolTreeItemSystolicPressureFormula';
  value?: Maybe<DvText>;
};

export type Character = {
  __typename?: 'Character';
  value: Scalars['Int'];
};

export type CodePhrase = {
  __typename?: 'CodePhrase';
  codeString: Scalars['String'];
  preferredTerm?: Maybe<Scalars['String']>;
  terminologyId: TerminologyId;
};

export type Duration = {
  __typename?: 'Duration';
  value: Scalars['String'];
};

export type DvCodedText = {
  __typename?: 'DvCodedText';
  definingCode: CodePhrase;
  encoding?: Maybe<CodePhrase>;
  formatting?: Maybe<Scalars['String']>;
  hyperlink?: Maybe<DvUri>;
  language?: Maybe<CodePhrase>;
  mappings?: Maybe<Array<Array<TermMapping>>>;
  value: Scalars['String'];
};

export type DvText = {
  __typename?: 'DvText';
  encoding?: Maybe<CodePhrase>;
  formatting?: Maybe<Scalars['String']>;
  hyperlink?: Maybe<DvUri>;
  language?: Maybe<CodePhrase>;
  mappings?: Maybe<Array<Array<TermMapping>>>;
  value: Scalars['String'];
};

export type DvUri = {
  __typename?: 'DvUri';
  value: Scalars['String'];
};

export type Query = {
  __typename?: 'Query';
  bloodPressure: BloodPressure;
};

export type TermMapping = {
  __typename?: 'TermMapping';
  match: Character;
  purpose?: Maybe<DvCodedText>;
  target: CodePhrase;
};

export type TerminologyCode = {
  __typename?: 'TerminologyCode';
  codeString: Scalars['String'];
  terminologyId: Scalars['String'];
  terminologyVersion?: Maybe<Scalars['String']>;
  uri?: Maybe<Uri>;
};

export type TerminologyId = {
  __typename?: 'TerminologyId';
  value: Scalars['String'];
};

export type Uri = {
  __typename?: 'Uri';
  value: Scalars['String'];
};

export type BloodPressureQueryQueryVariables = Exact<{ [key: string]: never; }>;


export type BloodPressureQueryQuery = { __typename?: 'Query', bloodPressure: { __typename?: 'BloodPressure', data?: { __typename?: 'BloodPressureData', history?: { __typename?: 'BloodPressureDataHistory', events?: Array<{ __typename?: 'BloodPressureDataHistoryEvent', a24HourAverage?: { __typename?: 'BloodPressureDataHistoryEvent24HourAverage', data?: { __typename?: 'BloodPressureDataHistoryEvent24HourAverageData', itemTree?: { __typename?: 'BloodPressureDataHistoryEvent24HourAverageDataItemTree', items?: Array<{ __typename?: 'BloodPressureDataHistoryEvent24HourAverageDataItemTreeItem', systolic?: { __typename?: 'BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolic', value?: { __typename?: 'BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicValue', dvQuantity?: { __typename?: 'BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicValueDvQuantity', magnitude?: number | null | undefined, units?: string | null | undefined, precision?: number | null | undefined, property?: { __typename?: 'TerminologyCode', terminologyId: string, codeString: string, terminologyVersion?: string | null | undefined } | null | undefined } | null | undefined } | null | undefined } | null | undefined }> | null | undefined } | null | undefined } | null | undefined } | null | undefined }> | null | undefined } | null | undefined } | null | undefined } };
