import { gql } from 'apollo-angular';
import { Injectable } from '@angular/core';
import * as Apollo from 'apollo-angular';
export const BloodPressureQueryDocument = gql`
    query BloodPressureQuery {
  bloodPressure {
    data {
      history {
        events {
          a24HourAverage {
            data {
              itemTree {
                items {
                  systolic {
                    value {
                      dvQuantity {
                        property {
                          terminologyId
                          codeString
                          terminologyVersion
                        }
                        magnitude
                        units
                        precision
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
    `;

  @Injectable({
    providedIn: 'root'
  })
  export class BloodPressureQueryGQL extends Apollo.Query<BloodPressureQueryQuery, BloodPressureQueryQueryVariables> {
    document = BloodPressureQueryDocument;
    
    constructor(apollo: Apollo.Apollo) {
      super(apollo);
    }
  }