import { FieldPolicy, FieldReadFunction, TypePolicies, TypePolicy } from '@apollo/client/cache';
export type BloodPressureKeySpecifier = ('data' | 'protocol' | BloodPressureKeySpecifier)[];
export type BloodPressureFieldPolicy = {
	data?: FieldPolicy<any> | FieldReadFunction<any>,
	protocol?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataKeySpecifier = ('history' | BloodPressureDataKeySpecifier)[];
export type BloodPressureDataFieldPolicy = {
	history?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryKeySpecifier = ('events' | BloodPressureDataHistoryKeySpecifier)[];
export type BloodPressureDataHistoryFieldPolicy = {
	events?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventKeySpecifier = ('a24HourAverage' | 'anyEvent' | BloodPressureDataHistoryEventKeySpecifier)[];
export type BloodPressureDataHistoryEventFieldPolicy = {
	a24HourAverage?: FieldPolicy<any> | FieldReadFunction<any>,
	anyEvent?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageKeySpecifier = ('data' | 'mathFunction' | 'state' | 'width' | BloodPressureDataHistoryEvent24HourAverageKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageFieldPolicy = {
	data?: FieldPolicy<any> | FieldReadFunction<any>,
	mathFunction?: FieldPolicy<any> | FieldReadFunction<any>,
	state?: FieldPolicy<any> | FieldReadFunction<any>,
	width?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageDataKeySpecifier = ('itemTree' | BloodPressureDataHistoryEvent24HourAverageDataKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageDataFieldPolicy = {
	itemTree?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeKeySpecifier = ('items' | BloodPressureDataHistoryEvent24HourAverageDataItemTreeKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeFieldPolicy = {
	items?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemKeySpecifier = ('clinicalInterpretation' | 'comment' | 'diastolic' | 'meanArterialPressure' | 'pulsePressure' | 'systolic' | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemFieldPolicy = {
	clinicalInterpretation?: FieldPolicy<any> | FieldReadFunction<any>,
	comment?: FieldPolicy<any> | FieldReadFunction<any>,
	diastolic?: FieldPolicy<any> | FieldReadFunction<any>,
	meanArterialPressure?: FieldPolicy<any> | FieldReadFunction<any>,
	pulsePressure?: FieldPolicy<any> | FieldReadFunction<any>,
	systolic?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemClinicalInterpretationKeySpecifier = ('value' | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemClinicalInterpretationKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemClinicalInterpretationFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemCommentKeySpecifier = ('value' | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemCommentKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemCommentFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicKeySpecifier = ('value' | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicValueKeySpecifier = ('dvQuantity' | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicValueKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicValueFieldPolicy = {
	dvQuantity?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicValueDvQuantityKeySpecifier = ('magnitude' | 'precision' | 'property' | 'units' | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicValueDvQuantityKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicValueDvQuantityFieldPolicy = {
	magnitude?: FieldPolicy<any> | FieldReadFunction<any>,
	precision?: FieldPolicy<any> | FieldReadFunction<any>,
	property?: FieldPolicy<any> | FieldReadFunction<any>,
	units?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureKeySpecifier = ('value' | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureValueKeySpecifier = ('dvQuantity' | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureValueKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureValueFieldPolicy = {
	dvQuantity?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureValueDvQuantityKeySpecifier = ('magnitude' | 'precision' | 'property' | 'units' | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureValueDvQuantityKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureValueDvQuantityFieldPolicy = {
	magnitude?: FieldPolicy<any> | FieldReadFunction<any>,
	precision?: FieldPolicy<any> | FieldReadFunction<any>,
	property?: FieldPolicy<any> | FieldReadFunction<any>,
	units?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureKeySpecifier = ('value' | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureValueKeySpecifier = ('dvQuantity' | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureValueKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureValueFieldPolicy = {
	dvQuantity?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureValueDvQuantityKeySpecifier = ('magnitude' | 'precision' | 'property' | 'units' | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureValueDvQuantityKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureValueDvQuantityFieldPolicy = {
	magnitude?: FieldPolicy<any> | FieldReadFunction<any>,
	precision?: FieldPolicy<any> | FieldReadFunction<any>,
	property?: FieldPolicy<any> | FieldReadFunction<any>,
	units?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicKeySpecifier = ('value' | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicValueKeySpecifier = ('dvQuantity' | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicValueKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicValueFieldPolicy = {
	dvQuantity?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicValueDvQuantityKeySpecifier = ('magnitude' | 'precision' | 'property' | 'units' | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicValueDvQuantityKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicValueDvQuantityFieldPolicy = {
	magnitude?: FieldPolicy<any> | FieldReadFunction<any>,
	precision?: FieldPolicy<any> | FieldReadFunction<any>,
	property?: FieldPolicy<any> | FieldReadFunction<any>,
	units?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageMathFunctionKeySpecifier = ('dvCodedText' | BloodPressureDataHistoryEvent24HourAverageMathFunctionKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageMathFunctionFieldPolicy = {
	dvCodedText?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageMathFunctionDvCodedTextKeySpecifier = ('definingCode' | BloodPressureDataHistoryEvent24HourAverageMathFunctionDvCodedTextKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageMathFunctionDvCodedTextFieldPolicy = {
	definingCode?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageStateKeySpecifier = ('itemTree' | BloodPressureDataHistoryEvent24HourAverageStateKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageStateFieldPolicy = {
	itemTree?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeKeySpecifier = ('items' | BloodPressureDataHistoryEvent24HourAverageStateItemTreeKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeFieldPolicy = {
	items?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemKeySpecifier = ('confoundingFactors' | 'exertion' | 'position' | 'sleepStatus' | 'tilt' | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemFieldPolicy = {
	confoundingFactors?: FieldPolicy<any> | FieldReadFunction<any>,
	exertion?: FieldPolicy<any> | FieldReadFunction<any>,
	position?: FieldPolicy<any> | FieldReadFunction<any>,
	sleepStatus?: FieldPolicy<any> | FieldReadFunction<any>,
	tilt?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemConfoundingFactorsKeySpecifier = ('value' | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemConfoundingFactorsKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemConfoundingFactorsFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemExertionKeySpecifier = ('dummy' | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemExertionKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemExertionFieldPolicy = {
	dummy?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionKeySpecifier = ('value' | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionValueKeySpecifier = ('dvCodedText' | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionValueKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionValueFieldPolicy = {
	dvCodedText?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionValueDvCodedTextKeySpecifier = ('definingCode' | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionValueDvCodedTextKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionValueDvCodedTextFieldPolicy = {
	definingCode?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusKeySpecifier = ('value' | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusValueKeySpecifier = ('dvCodedText' | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusValueKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusValueFieldPolicy = {
	dvCodedText?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusValueDvCodedTextKeySpecifier = ('definingCode' | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusValueDvCodedTextKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusValueDvCodedTextFieldPolicy = {
	definingCode?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltKeySpecifier = ('value' | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltValueKeySpecifier = ('dvQuantity' | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltValueKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltValueFieldPolicy = {
	dvQuantity?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltValueDvQuantityKeySpecifier = ('magnitude' | 'precision' | 'property' | 'units' | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltValueDvQuantityKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltValueDvQuantityFieldPolicy = {
	magnitude?: FieldPolicy<any> | FieldReadFunction<any>,
	precision?: FieldPolicy<any> | FieldReadFunction<any>,
	property?: FieldPolicy<any> | FieldReadFunction<any>,
	units?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageWidthKeySpecifier = ('dvDuration' | BloodPressureDataHistoryEvent24HourAverageWidthKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageWidthFieldPolicy = {
	dvDuration?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEvent24HourAverageWidthDvDurationKeySpecifier = ('value' | BloodPressureDataHistoryEvent24HourAverageWidthDvDurationKeySpecifier)[];
export type BloodPressureDataHistoryEvent24HourAverageWidthDvDurationFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventKeySpecifier = ('data' | 'state' | BloodPressureDataHistoryEventAnyEventKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventFieldPolicy = {
	data?: FieldPolicy<any> | FieldReadFunction<any>,
	state?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventDataKeySpecifier = ('bloodPressure' | BloodPressureDataHistoryEventAnyEventDataKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventDataFieldPolicy = {
	bloodPressure?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureKeySpecifier = ('items' | BloodPressureDataHistoryEventAnyEventDataBloodPressureKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureFieldPolicy = {
	items?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemKeySpecifier = ('clinicalInterpretation' | 'comment' | 'diastolic' | 'meanArterialPressure' | 'pulsePressure' | 'systolic' | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemFieldPolicy = {
	clinicalInterpretation?: FieldPolicy<any> | FieldReadFunction<any>,
	comment?: FieldPolicy<any> | FieldReadFunction<any>,
	diastolic?: FieldPolicy<any> | FieldReadFunction<any>,
	meanArterialPressure?: FieldPolicy<any> | FieldReadFunction<any>,
	pulsePressure?: FieldPolicy<any> | FieldReadFunction<any>,
	systolic?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemClinicalInterpretationKeySpecifier = ('value' | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemClinicalInterpretationKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemClinicalInterpretationFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemCommentKeySpecifier = ('value' | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemCommentKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemCommentFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicKeySpecifier = ('value' | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicValueKeySpecifier = ('dvQuantity' | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicValueKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicValueFieldPolicy = {
	dvQuantity?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicValueDvQuantityKeySpecifier = ('magnitude' | 'precision' | 'property' | 'units' | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicValueDvQuantityKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicValueDvQuantityFieldPolicy = {
	magnitude?: FieldPolicy<any> | FieldReadFunction<any>,
	precision?: FieldPolicy<any> | FieldReadFunction<any>,
	property?: FieldPolicy<any> | FieldReadFunction<any>,
	units?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureKeySpecifier = ('value' | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureValueKeySpecifier = ('dvQuantity' | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureValueKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureValueFieldPolicy = {
	dvQuantity?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureValueDvQuantityKeySpecifier = ('magnitude' | 'precision' | 'property' | 'units' | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureValueDvQuantityKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureValueDvQuantityFieldPolicy = {
	magnitude?: FieldPolicy<any> | FieldReadFunction<any>,
	precision?: FieldPolicy<any> | FieldReadFunction<any>,
	property?: FieldPolicy<any> | FieldReadFunction<any>,
	units?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureKeySpecifier = ('value' | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureValueKeySpecifier = ('dvQuantity' | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureValueKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureValueFieldPolicy = {
	dvQuantity?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureValueDvQuantityKeySpecifier = ('magnitude' | 'precision' | 'property' | 'units' | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureValueDvQuantityKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureValueDvQuantityFieldPolicy = {
	magnitude?: FieldPolicy<any> | FieldReadFunction<any>,
	precision?: FieldPolicy<any> | FieldReadFunction<any>,
	property?: FieldPolicy<any> | FieldReadFunction<any>,
	units?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicKeySpecifier = ('value' | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicValueKeySpecifier = ('dvQuantity' | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicValueKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicValueFieldPolicy = {
	dvQuantity?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicValueDvQuantityKeySpecifier = ('magnitude' | 'precision' | 'property' | 'units' | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicValueDvQuantityKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicValueDvQuantityFieldPolicy = {
	magnitude?: FieldPolicy<any> | FieldReadFunction<any>,
	precision?: FieldPolicy<any> | FieldReadFunction<any>,
	property?: FieldPolicy<any> | FieldReadFunction<any>,
	units?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventStateKeySpecifier = ('stateStructure' | BloodPressureDataHistoryEventAnyEventStateKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventStateFieldPolicy = {
	stateStructure?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventStateStateStructureKeySpecifier = ('items' | BloodPressureDataHistoryEventAnyEventStateStateStructureKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventStateStateStructureFieldPolicy = {
	items?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemKeySpecifier = ('confoundingFactors' | 'exertion' | 'position' | 'sleepStatus' | 'tilt' | BloodPressureDataHistoryEventAnyEventStateStateStructureItemKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemFieldPolicy = {
	confoundingFactors?: FieldPolicy<any> | FieldReadFunction<any>,
	exertion?: FieldPolicy<any> | FieldReadFunction<any>,
	position?: FieldPolicy<any> | FieldReadFunction<any>,
	sleepStatus?: FieldPolicy<any> | FieldReadFunction<any>,
	tilt?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemConfoundingFactorsKeySpecifier = ('value' | BloodPressureDataHistoryEventAnyEventStateStateStructureItemConfoundingFactorsKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemConfoundingFactorsFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemExertionKeySpecifier = ('dummy' | BloodPressureDataHistoryEventAnyEventStateStateStructureItemExertionKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemExertionFieldPolicy = {
	dummy?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionKeySpecifier = ('value' | BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionValueKeySpecifier = ('dvCodedText' | BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionValueKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionValueFieldPolicy = {
	dvCodedText?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionValueDvCodedTextKeySpecifier = ('definingCode' | BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionValueDvCodedTextKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionValueDvCodedTextFieldPolicy = {
	definingCode?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusKeySpecifier = ('value' | BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusValueKeySpecifier = ('dvCodedText' | BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusValueKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusValueFieldPolicy = {
	dvCodedText?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusValueDvCodedTextKeySpecifier = ('definingCode' | BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusValueDvCodedTextKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusValueDvCodedTextFieldPolicy = {
	definingCode?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltKeySpecifier = ('value' | BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltValueKeySpecifier = ('dvQuantity' | BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltValueKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltValueFieldPolicy = {
	dvQuantity?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltValueDvQuantityKeySpecifier = ('magnitude' | 'precision' | 'property' | 'units' | BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltValueDvQuantityKeySpecifier)[];
export type BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltValueDvQuantityFieldPolicy = {
	magnitude?: FieldPolicy<any> | FieldReadFunction<any>,
	precision?: FieldPolicy<any> | FieldReadFunction<any>,
	property?: FieldPolicy<any> | FieldReadFunction<any>,
	units?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureProtocolKeySpecifier = ('tree' | BloodPressureProtocolKeySpecifier)[];
export type BloodPressureProtocolFieldPolicy = {
	tree?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureProtocolTreeKeySpecifier = ('items' | BloodPressureProtocolTreeKeySpecifier)[];
export type BloodPressureProtocolTreeFieldPolicy = {
	items?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureProtocolTreeItemKeySpecifier = ('cuffSize' | 'device' | 'diastolicEndpoint' | 'diastolicPressureFormula' | 'extension' | 'locationOfMeasurement' | 'meanArterialPressureFormula' | 'method' | 'structuredMeasurementLocation' | 'systolicPressureFormula' | BloodPressureProtocolTreeItemKeySpecifier)[];
export type BloodPressureProtocolTreeItemFieldPolicy = {
	cuffSize?: FieldPolicy<any> | FieldReadFunction<any>,
	device?: FieldPolicy<any> | FieldReadFunction<any>,
	diastolicEndpoint?: FieldPolicy<any> | FieldReadFunction<any>,
	diastolicPressureFormula?: FieldPolicy<any> | FieldReadFunction<any>,
	extension?: FieldPolicy<any> | FieldReadFunction<any>,
	locationOfMeasurement?: FieldPolicy<any> | FieldReadFunction<any>,
	meanArterialPressureFormula?: FieldPolicy<any> | FieldReadFunction<any>,
	method?: FieldPolicy<any> | FieldReadFunction<any>,
	structuredMeasurementLocation?: FieldPolicy<any> | FieldReadFunction<any>,
	systolicPressureFormula?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureProtocolTreeItemCuffSizeKeySpecifier = ('value' | BloodPressureProtocolTreeItemCuffSizeKeySpecifier)[];
export type BloodPressureProtocolTreeItemCuffSizeFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureProtocolTreeItemCuffSizeValueKeySpecifier = ('dvCodedText' | BloodPressureProtocolTreeItemCuffSizeValueKeySpecifier)[];
export type BloodPressureProtocolTreeItemCuffSizeValueFieldPolicy = {
	dvCodedText?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureProtocolTreeItemCuffSizeValueDvCodedTextKeySpecifier = ('definingCode' | BloodPressureProtocolTreeItemCuffSizeValueDvCodedTextKeySpecifier)[];
export type BloodPressureProtocolTreeItemCuffSizeValueDvCodedTextFieldPolicy = {
	definingCode?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureProtocolTreeItemDeviceKeySpecifier = ('dummy' | BloodPressureProtocolTreeItemDeviceKeySpecifier)[];
export type BloodPressureProtocolTreeItemDeviceFieldPolicy = {
	dummy?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureProtocolTreeItemDiastolicEndpointKeySpecifier = ('value' | BloodPressureProtocolTreeItemDiastolicEndpointKeySpecifier)[];
export type BloodPressureProtocolTreeItemDiastolicEndpointFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureProtocolTreeItemDiastolicEndpointValueKeySpecifier = ('dvCodedText' | BloodPressureProtocolTreeItemDiastolicEndpointValueKeySpecifier)[];
export type BloodPressureProtocolTreeItemDiastolicEndpointValueFieldPolicy = {
	dvCodedText?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureProtocolTreeItemDiastolicEndpointValueDvCodedTextKeySpecifier = ('definingCode' | BloodPressureProtocolTreeItemDiastolicEndpointValueDvCodedTextKeySpecifier)[];
export type BloodPressureProtocolTreeItemDiastolicEndpointValueDvCodedTextFieldPolicy = {
	definingCode?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureProtocolTreeItemDiastolicPressureFormulaKeySpecifier = ('value' | BloodPressureProtocolTreeItemDiastolicPressureFormulaKeySpecifier)[];
export type BloodPressureProtocolTreeItemDiastolicPressureFormulaFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureProtocolTreeItemExtensionKeySpecifier = ('dummy' | BloodPressureProtocolTreeItemExtensionKeySpecifier)[];
export type BloodPressureProtocolTreeItemExtensionFieldPolicy = {
	dummy?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureProtocolTreeItemLocationOfMeasurementKeySpecifier = ('value' | BloodPressureProtocolTreeItemLocationOfMeasurementKeySpecifier)[];
export type BloodPressureProtocolTreeItemLocationOfMeasurementFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureProtocolTreeItemLocationOfMeasurementValueKeySpecifier = ('dvCodedText' | BloodPressureProtocolTreeItemLocationOfMeasurementValueKeySpecifier)[];
export type BloodPressureProtocolTreeItemLocationOfMeasurementValueFieldPolicy = {
	dvCodedText?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureProtocolTreeItemLocationOfMeasurementValueDvCodedTextKeySpecifier = ('definingCode' | BloodPressureProtocolTreeItemLocationOfMeasurementValueDvCodedTextKeySpecifier)[];
export type BloodPressureProtocolTreeItemLocationOfMeasurementValueDvCodedTextFieldPolicy = {
	definingCode?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureProtocolTreeItemMeanArterialPressureFormulaKeySpecifier = ('value' | BloodPressureProtocolTreeItemMeanArterialPressureFormulaKeySpecifier)[];
export type BloodPressureProtocolTreeItemMeanArterialPressureFormulaFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureProtocolTreeItemMethodKeySpecifier = ('value' | BloodPressureProtocolTreeItemMethodKeySpecifier)[];
export type BloodPressureProtocolTreeItemMethodFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureProtocolTreeItemMethodValueKeySpecifier = ('dvCodedText' | BloodPressureProtocolTreeItemMethodValueKeySpecifier)[];
export type BloodPressureProtocolTreeItemMethodValueFieldPolicy = {
	dvCodedText?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureProtocolTreeItemMethodValueDvCodedTextKeySpecifier = ('definingCode' | BloodPressureProtocolTreeItemMethodValueDvCodedTextKeySpecifier)[];
export type BloodPressureProtocolTreeItemMethodValueDvCodedTextFieldPolicy = {
	definingCode?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureProtocolTreeItemStructuredMeasurementLocationKeySpecifier = ('dummy' | BloodPressureProtocolTreeItemStructuredMeasurementLocationKeySpecifier)[];
export type BloodPressureProtocolTreeItemStructuredMeasurementLocationFieldPolicy = {
	dummy?: FieldPolicy<any> | FieldReadFunction<any>
};
export type BloodPressureProtocolTreeItemSystolicPressureFormulaKeySpecifier = ('value' | BloodPressureProtocolTreeItemSystolicPressureFormulaKeySpecifier)[];
export type BloodPressureProtocolTreeItemSystolicPressureFormulaFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type CharacterKeySpecifier = ('value' | CharacterKeySpecifier)[];
export type CharacterFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type CodePhraseKeySpecifier = ('codeString' | 'preferredTerm' | 'terminologyId' | CodePhraseKeySpecifier)[];
export type CodePhraseFieldPolicy = {
	codeString?: FieldPolicy<any> | FieldReadFunction<any>,
	preferredTerm?: FieldPolicy<any> | FieldReadFunction<any>,
	terminologyId?: FieldPolicy<any> | FieldReadFunction<any>
};
export type DurationKeySpecifier = ('value' | DurationKeySpecifier)[];
export type DurationFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type DvCodedTextKeySpecifier = ('definingCode' | 'encoding' | 'formatting' | 'hyperlink' | 'language' | 'mappings' | 'value' | DvCodedTextKeySpecifier)[];
export type DvCodedTextFieldPolicy = {
	definingCode?: FieldPolicy<any> | FieldReadFunction<any>,
	encoding?: FieldPolicy<any> | FieldReadFunction<any>,
	formatting?: FieldPolicy<any> | FieldReadFunction<any>,
	hyperlink?: FieldPolicy<any> | FieldReadFunction<any>,
	language?: FieldPolicy<any> | FieldReadFunction<any>,
	mappings?: FieldPolicy<any> | FieldReadFunction<any>,
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type DvTextKeySpecifier = ('encoding' | 'formatting' | 'hyperlink' | 'language' | 'mappings' | 'value' | DvTextKeySpecifier)[];
export type DvTextFieldPolicy = {
	encoding?: FieldPolicy<any> | FieldReadFunction<any>,
	formatting?: FieldPolicy<any> | FieldReadFunction<any>,
	hyperlink?: FieldPolicy<any> | FieldReadFunction<any>,
	language?: FieldPolicy<any> | FieldReadFunction<any>,
	mappings?: FieldPolicy<any> | FieldReadFunction<any>,
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type DvUriKeySpecifier = ('value' | DvUriKeySpecifier)[];
export type DvUriFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type QueryKeySpecifier = ('bloodPressure' | QueryKeySpecifier)[];
export type QueryFieldPolicy = {
	bloodPressure?: FieldPolicy<any> | FieldReadFunction<any>
};
export type TermMappingKeySpecifier = ('match' | 'purpose' | 'target' | TermMappingKeySpecifier)[];
export type TermMappingFieldPolicy = {
	match?: FieldPolicy<any> | FieldReadFunction<any>,
	purpose?: FieldPolicy<any> | FieldReadFunction<any>,
	target?: FieldPolicy<any> | FieldReadFunction<any>
};
export type TerminologyCodeKeySpecifier = ('codeString' | 'terminologyId' | 'terminologyVersion' | 'uri' | TerminologyCodeKeySpecifier)[];
export type TerminologyCodeFieldPolicy = {
	codeString?: FieldPolicy<any> | FieldReadFunction<any>,
	terminologyId?: FieldPolicy<any> | FieldReadFunction<any>,
	terminologyVersion?: FieldPolicy<any> | FieldReadFunction<any>,
	uri?: FieldPolicy<any> | FieldReadFunction<any>
};
export type TerminologyIdKeySpecifier = ('value' | TerminologyIdKeySpecifier)[];
export type TerminologyIdFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type UriKeySpecifier = ('value' | UriKeySpecifier)[];
export type UriFieldPolicy = {
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type StrictTypedTypePolicies = {
	BloodPressure?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureKeySpecifier | (() => undefined | BloodPressureKeySpecifier),
		fields?: BloodPressureFieldPolicy,
	},
	BloodPressureData?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataKeySpecifier | (() => undefined | BloodPressureDataKeySpecifier),
		fields?: BloodPressureDataFieldPolicy,
	},
	BloodPressureDataHistory?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryKeySpecifier | (() => undefined | BloodPressureDataHistoryKeySpecifier),
		fields?: BloodPressureDataHistoryFieldPolicy,
	},
	BloodPressureDataHistoryEvent?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventKeySpecifier | (() => undefined | BloodPressureDataHistoryEventKeySpecifier),
		fields?: BloodPressureDataHistoryEventFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverage?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageData?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageDataKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageDataKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageDataFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageDataItemTree?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageDataItemTreeKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageDataItemTreeKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageDataItemTreeFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageDataItemTreeItem?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemClinicalInterpretation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemClinicalInterpretationKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemClinicalInterpretationKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemClinicalInterpretationFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemComment?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemCommentKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemCommentKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemCommentFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolic?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicValue?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicValueKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicValueKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicValueFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicValueDvQuantity?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicValueDvQuantityKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicValueDvQuantityKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemDiastolicValueDvQuantityFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressure?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureValue?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureValueKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureValueKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureValueFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureValueDvQuantity?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureValueDvQuantityKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureValueDvQuantityKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemMeanArterialPressureValueDvQuantityFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressure?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureValue?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureValueKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureValueKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureValueFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureValueDvQuantity?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureValueDvQuantityKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureValueDvQuantityKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemPulsePressureValueDvQuantityFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolic?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicValue?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicValueKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicValueKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicValueFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicValueDvQuantity?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicValueDvQuantityKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicValueDvQuantityKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageDataItemTreeItemSystolicValueDvQuantityFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageMathFunction?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageMathFunctionKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageMathFunctionKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageMathFunctionFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageMathFunctionDvCodedText?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageMathFunctionDvCodedTextKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageMathFunctionDvCodedTextKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageMathFunctionDvCodedTextFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageState?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageStateKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageStateKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageStateFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageStateItemTree?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageStateItemTreeKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageStateItemTreeKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageStateItemTreeFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageStateItemTreeItem?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemConfoundingFactors?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemConfoundingFactorsKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemConfoundingFactorsKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemConfoundingFactorsFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemExertion?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemExertionKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemExertionKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemExertionFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPosition?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionValue?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionValueKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionValueKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionValueFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionValueDvCodedText?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionValueDvCodedTextKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionValueDvCodedTextKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemPositionValueDvCodedTextFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatus?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusValue?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusValueKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusValueKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusValueFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusValueDvCodedText?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusValueDvCodedTextKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusValueDvCodedTextKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemSleepStatusValueDvCodedTextFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTilt?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltValue?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltValueKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltValueKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltValueFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltValueDvQuantity?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltValueDvQuantityKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltValueDvQuantityKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageStateItemTreeItemTiltValueDvQuantityFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageWidth?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageWidthKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageWidthKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageWidthFieldPolicy,
	},
	BloodPressureDataHistoryEvent24HourAverageWidthDvDuration?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEvent24HourAverageWidthDvDurationKeySpecifier | (() => undefined | BloodPressureDataHistoryEvent24HourAverageWidthDvDurationKeySpecifier),
		fields?: BloodPressureDataHistoryEvent24HourAverageWidthDvDurationFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEvent?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventData?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventDataKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventDataKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventDataFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventDataBloodPressure?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventDataBloodPressureKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventDataBloodPressureKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventDataBloodPressureFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventDataBloodPressureItem?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventDataBloodPressureItemFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventDataBloodPressureItemClinicalInterpretation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemClinicalInterpretationKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemClinicalInterpretationKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventDataBloodPressureItemClinicalInterpretationFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventDataBloodPressureItemComment?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemCommentKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemCommentKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventDataBloodPressureItemCommentFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolic?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicValue?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicValueKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicValueKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicValueFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicValueDvQuantity?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicValueDvQuantityKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicValueDvQuantityKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventDataBloodPressureItemDiastolicValueDvQuantityFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressure?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureValue?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureValueKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureValueKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureValueFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureValueDvQuantity?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureValueDvQuantityKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureValueDvQuantityKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventDataBloodPressureItemMeanArterialPressureValueDvQuantityFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressure?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureValue?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureValueKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureValueKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureValueFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureValueDvQuantity?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureValueDvQuantityKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureValueDvQuantityKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventDataBloodPressureItemPulsePressureValueDvQuantityFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolic?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicValue?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicValueKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicValueKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicValueFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicValueDvQuantity?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicValueDvQuantityKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicValueDvQuantityKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventDataBloodPressureItemSystolicValueDvQuantityFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventState?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventStateKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventStateKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventStateFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventStateStateStructure?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventStateStateStructureKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventStateStateStructureKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventStateStateStructureFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventStateStateStructureItem?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventStateStateStructureItemKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventStateStateStructureItemKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventStateStateStructureItemFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventStateStateStructureItemConfoundingFactors?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventStateStateStructureItemConfoundingFactorsKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventStateStateStructureItemConfoundingFactorsKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventStateStateStructureItemConfoundingFactorsFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventStateStateStructureItemExertion?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventStateStateStructureItemExertionKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventStateStateStructureItemExertionKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventStateStateStructureItemExertionFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventStateStateStructureItemPosition?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionValue?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionValueKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionValueKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionValueFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionValueDvCodedText?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionValueDvCodedTextKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionValueDvCodedTextKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventStateStateStructureItemPositionValueDvCodedTextFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatus?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusValue?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusValueKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusValueKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusValueFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusValueDvCodedText?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusValueDvCodedTextKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusValueDvCodedTextKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventStateStateStructureItemSleepStatusValueDvCodedTextFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventStateStateStructureItemTilt?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltValue?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltValueKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltValueKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltValueFieldPolicy,
	},
	BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltValueDvQuantity?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltValueDvQuantityKeySpecifier | (() => undefined | BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltValueDvQuantityKeySpecifier),
		fields?: BloodPressureDataHistoryEventAnyEventStateStateStructureItemTiltValueDvQuantityFieldPolicy,
	},
	BloodPressureProtocol?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureProtocolKeySpecifier | (() => undefined | BloodPressureProtocolKeySpecifier),
		fields?: BloodPressureProtocolFieldPolicy,
	},
	BloodPressureProtocolTree?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureProtocolTreeKeySpecifier | (() => undefined | BloodPressureProtocolTreeKeySpecifier),
		fields?: BloodPressureProtocolTreeFieldPolicy,
	},
	BloodPressureProtocolTreeItem?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureProtocolTreeItemKeySpecifier | (() => undefined | BloodPressureProtocolTreeItemKeySpecifier),
		fields?: BloodPressureProtocolTreeItemFieldPolicy,
	},
	BloodPressureProtocolTreeItemCuffSize?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureProtocolTreeItemCuffSizeKeySpecifier | (() => undefined | BloodPressureProtocolTreeItemCuffSizeKeySpecifier),
		fields?: BloodPressureProtocolTreeItemCuffSizeFieldPolicy,
	},
	BloodPressureProtocolTreeItemCuffSizeValue?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureProtocolTreeItemCuffSizeValueKeySpecifier | (() => undefined | BloodPressureProtocolTreeItemCuffSizeValueKeySpecifier),
		fields?: BloodPressureProtocolTreeItemCuffSizeValueFieldPolicy,
	},
	BloodPressureProtocolTreeItemCuffSizeValueDvCodedText?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureProtocolTreeItemCuffSizeValueDvCodedTextKeySpecifier | (() => undefined | BloodPressureProtocolTreeItemCuffSizeValueDvCodedTextKeySpecifier),
		fields?: BloodPressureProtocolTreeItemCuffSizeValueDvCodedTextFieldPolicy,
	},
	BloodPressureProtocolTreeItemDevice?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureProtocolTreeItemDeviceKeySpecifier | (() => undefined | BloodPressureProtocolTreeItemDeviceKeySpecifier),
		fields?: BloodPressureProtocolTreeItemDeviceFieldPolicy,
	},
	BloodPressureProtocolTreeItemDiastolicEndpoint?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureProtocolTreeItemDiastolicEndpointKeySpecifier | (() => undefined | BloodPressureProtocolTreeItemDiastolicEndpointKeySpecifier),
		fields?: BloodPressureProtocolTreeItemDiastolicEndpointFieldPolicy,
	},
	BloodPressureProtocolTreeItemDiastolicEndpointValue?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureProtocolTreeItemDiastolicEndpointValueKeySpecifier | (() => undefined | BloodPressureProtocolTreeItemDiastolicEndpointValueKeySpecifier),
		fields?: BloodPressureProtocolTreeItemDiastolicEndpointValueFieldPolicy,
	},
	BloodPressureProtocolTreeItemDiastolicEndpointValueDvCodedText?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureProtocolTreeItemDiastolicEndpointValueDvCodedTextKeySpecifier | (() => undefined | BloodPressureProtocolTreeItemDiastolicEndpointValueDvCodedTextKeySpecifier),
		fields?: BloodPressureProtocolTreeItemDiastolicEndpointValueDvCodedTextFieldPolicy,
	},
	BloodPressureProtocolTreeItemDiastolicPressureFormula?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureProtocolTreeItemDiastolicPressureFormulaKeySpecifier | (() => undefined | BloodPressureProtocolTreeItemDiastolicPressureFormulaKeySpecifier),
		fields?: BloodPressureProtocolTreeItemDiastolicPressureFormulaFieldPolicy,
	},
	BloodPressureProtocolTreeItemExtension?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureProtocolTreeItemExtensionKeySpecifier | (() => undefined | BloodPressureProtocolTreeItemExtensionKeySpecifier),
		fields?: BloodPressureProtocolTreeItemExtensionFieldPolicy,
	},
	BloodPressureProtocolTreeItemLocationOfMeasurement?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureProtocolTreeItemLocationOfMeasurementKeySpecifier | (() => undefined | BloodPressureProtocolTreeItemLocationOfMeasurementKeySpecifier),
		fields?: BloodPressureProtocolTreeItemLocationOfMeasurementFieldPolicy,
	},
	BloodPressureProtocolTreeItemLocationOfMeasurementValue?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureProtocolTreeItemLocationOfMeasurementValueKeySpecifier | (() => undefined | BloodPressureProtocolTreeItemLocationOfMeasurementValueKeySpecifier),
		fields?: BloodPressureProtocolTreeItemLocationOfMeasurementValueFieldPolicy,
	},
	BloodPressureProtocolTreeItemLocationOfMeasurementValueDvCodedText?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureProtocolTreeItemLocationOfMeasurementValueDvCodedTextKeySpecifier | (() => undefined | BloodPressureProtocolTreeItemLocationOfMeasurementValueDvCodedTextKeySpecifier),
		fields?: BloodPressureProtocolTreeItemLocationOfMeasurementValueDvCodedTextFieldPolicy,
	},
	BloodPressureProtocolTreeItemMeanArterialPressureFormula?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureProtocolTreeItemMeanArterialPressureFormulaKeySpecifier | (() => undefined | BloodPressureProtocolTreeItemMeanArterialPressureFormulaKeySpecifier),
		fields?: BloodPressureProtocolTreeItemMeanArterialPressureFormulaFieldPolicy,
	},
	BloodPressureProtocolTreeItemMethod?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureProtocolTreeItemMethodKeySpecifier | (() => undefined | BloodPressureProtocolTreeItemMethodKeySpecifier),
		fields?: BloodPressureProtocolTreeItemMethodFieldPolicy,
	},
	BloodPressureProtocolTreeItemMethodValue?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureProtocolTreeItemMethodValueKeySpecifier | (() => undefined | BloodPressureProtocolTreeItemMethodValueKeySpecifier),
		fields?: BloodPressureProtocolTreeItemMethodValueFieldPolicy,
	},
	BloodPressureProtocolTreeItemMethodValueDvCodedText?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureProtocolTreeItemMethodValueDvCodedTextKeySpecifier | (() => undefined | BloodPressureProtocolTreeItemMethodValueDvCodedTextKeySpecifier),
		fields?: BloodPressureProtocolTreeItemMethodValueDvCodedTextFieldPolicy,
	},
	BloodPressureProtocolTreeItemStructuredMeasurementLocation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureProtocolTreeItemStructuredMeasurementLocationKeySpecifier | (() => undefined | BloodPressureProtocolTreeItemStructuredMeasurementLocationKeySpecifier),
		fields?: BloodPressureProtocolTreeItemStructuredMeasurementLocationFieldPolicy,
	},
	BloodPressureProtocolTreeItemSystolicPressureFormula?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | BloodPressureProtocolTreeItemSystolicPressureFormulaKeySpecifier | (() => undefined | BloodPressureProtocolTreeItemSystolicPressureFormulaKeySpecifier),
		fields?: BloodPressureProtocolTreeItemSystolicPressureFormulaFieldPolicy,
	},
	Character?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | CharacterKeySpecifier | (() => undefined | CharacterKeySpecifier),
		fields?: CharacterFieldPolicy,
	},
	CodePhrase?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | CodePhraseKeySpecifier | (() => undefined | CodePhraseKeySpecifier),
		fields?: CodePhraseFieldPolicy,
	},
	Duration?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | DurationKeySpecifier | (() => undefined | DurationKeySpecifier),
		fields?: DurationFieldPolicy,
	},
	DvCodedText?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | DvCodedTextKeySpecifier | (() => undefined | DvCodedTextKeySpecifier),
		fields?: DvCodedTextFieldPolicy,
	},
	DvText?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | DvTextKeySpecifier | (() => undefined | DvTextKeySpecifier),
		fields?: DvTextFieldPolicy,
	},
	DvUri?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | DvUriKeySpecifier | (() => undefined | DvUriKeySpecifier),
		fields?: DvUriFieldPolicy,
	},
	Query?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | QueryKeySpecifier | (() => undefined | QueryKeySpecifier),
		fields?: QueryFieldPolicy,
	},
	TermMapping?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | TermMappingKeySpecifier | (() => undefined | TermMappingKeySpecifier),
		fields?: TermMappingFieldPolicy,
	},
	TerminologyCode?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | TerminologyCodeKeySpecifier | (() => undefined | TerminologyCodeKeySpecifier),
		fields?: TerminologyCodeFieldPolicy,
	},
	TerminologyId?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | TerminologyIdKeySpecifier | (() => undefined | TerminologyIdKeySpecifier),
		fields?: TerminologyIdFieldPolicy,
	},
	Uri?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | UriKeySpecifier | (() => undefined | UriKeySpecifier),
		fields?: UriFieldPolicy,
	}
};
export type TypedTypePolicies = StrictTypedTypePolicies & TypePolicies;