import gql from 'graphql-tag';
import * as VueApolloComposable from '@vue/apollo-composable';
import * as VueCompositionApi from '@vue/composition-api';
export type ReactiveFunction<TParam> = () => TParam;

export const BloodPressureQueryDocument = gql`
    query BloodPressureQuery {
  bloodPressure {
    data {
      history {
        events {
          a24HourAverage {
            data {
              itemTree {
                items {
                  systolic {
                    value {
                      dvQuantity {
                        property {
                          terminologyId
                          codeString
                          terminologyVersion
                        }
                        magnitude
                        units
                        precision
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
    `;

/**
 * __useBloodPressureQueryQuery__
 *
 * To run a query within a Vue component, call `useBloodPressureQueryQuery` and pass it any options that fit your needs.
 * When your component renders, `useBloodPressureQueryQuery` returns an object from Apollo Client that contains result, loading and error properties
 * you can use to render your UI.
 *
 * @param options that will be passed into the query, supported options are listed on: https://v4.apollo.vuejs.org/guide-composable/query.html#options;
 *
 * @example
 * const { result, loading, error } = useBloodPressureQueryQuery();
 */
export function useBloodPressureQueryQuery(options: VueApolloComposable.UseQueryOptions<BloodPressureQueryQuery, BloodPressureQueryQueryVariables> | VueCompositionApi.Ref<VueApolloComposable.UseQueryOptions<BloodPressureQueryQuery, BloodPressureQueryQueryVariables>> | ReactiveFunction<VueApolloComposable.UseQueryOptions<BloodPressureQueryQuery, BloodPressureQueryQueryVariables>> = {}) {
  return VueApolloComposable.useQuery<BloodPressureQueryQuery, BloodPressureQueryQueryVariables>(BloodPressureQueryDocument, {}, options);
}
export type BloodPressureQueryQueryCompositionFunctionResult = VueApolloComposable.UseQueryReturn<BloodPressureQueryQuery, BloodPressureQueryQueryVariables>;